%define _without_test 1
%define module_version 0.1
%define module_name Tie-Array-FileWriter
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.1
Release: alt1
Summary: A Perl module for writing records to files as items are pushed onto a virtual array
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/G/GR/GREGOR/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This is a write-only array that can only be written via push. It ignores anything pushed onto it that
is not an array reference. Elements of array references are joined by the field delimiter and written to the
output file, followed by the record delimiter.

You can write fixed-length records by ensuring the fields that are passed in are preformatted to thier
desired fixed lengths and setting the field and record delimiters to empty strings.

The default field delimiter is the vertical bar ('|', also known as 'pipe'), and  
the default record delimiter is newline ("\n").

You can pass in either an already opened FileHandle object, or a file name. If you pass in a FileHandle
object, the file will not be closed by Tie::Array::FileWriter.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE COPYRIGHT
%perl_vendor_privlib/T*

%changelog
* Thu May 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1
- initial import by package builder

